> ## Documentation Index
> Fetch the complete documentation index at: https://gnosispay-feat-v2-auth-module.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Deposits

> Returns the authenticated user's deposit history, including amount,
currency, status, and creation date.



## OpenAPI

````yaml https://core.prod.gnosispay.com/user-api/openapi.json get /user/deposits
openapi: 3.1.0
info:
  title: User Service
  version: 0.0.0
servers: []
security: []
tags:
  - name: Health
  - name: Auth
  - name: User
  - name: Cards
  - name: Phone
  - name: PCI
  - name: Terms
  - name: Source of Funds
paths:
  /user/deposits:
    get:
      tags:
        - User
      summary: Get User Deposits
      description: |-
        Returns the authenticated user's deposit history, including amount,
        currency, status, and creation date.
      operationId: User_getUserDeposits
      parameters: []
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUserDepositsResponse'
        '401':
          description: Access is unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
        '404':
          description: The server cannot find the requested resource.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUserDepositsNotFound'
        '502':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUserDepositsBadGateway'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - BearerAuth: []
components:
  schemas:
    GetUserDepositsResponse:
      type: object
      required:
        - data
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/UserDeposit'
    Unauthorized:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    GetUserDepositsNotFound:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    GetUserDepositsBadGateway:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    Error:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    UserDeposit:
      type: object
      required:
        - txHash
        - amount
        - currency
        - status
        - createdAt
        - kytBreakdown
      properties:
        txHash:
          type: string
        amount:
          type: string
        currency:
          type: string
        status:
          $ref: '#/components/schemas/UserDepositStatus'
        createdAt:
          type: string
          format: date-time
        kytBreakdown:
          anyOf:
            - $ref: '#/components/schemas/UserDepositKytBreakdown'
            - type: 'null'
    UserDepositStatus:
      type: string
      enum:
        - pending
        - approved
        - rejected
    UserDepositKytBreakdown:
      type: object
      required:
        - result
        - riskScore
        - riskTier
      properties:
        result:
          type: string
        riskScore:
          anyOf:
            - type: number
              format: double
            - type: 'null'
        riskTier:
          anyOf:
            - type: string
            - type: 'null'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: Bearer

````